GMOND(1)

NAME
gmond - manual page for Ganglia Monitor Daemon

SYNOPSIS
gmond [OPTIONS]...

DESCRIPTION
The Ganglia Monitoring Daemon (gmond) listens to the cluster message channel, stores the data in-memory and when requested will output an XML description of the state of the cluster

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-c, --conf=STRING
    Location of gmond configuration file (default= `/etc/ganglia/gmond.conf')

-l, --location=STRING
    Location of this host in the cluster 'rack,rank,plane'. (default=`0,0,0')

-d, --debug=INT
    Debug level. If greater than zero, daemon will stay in foreground. (default=`0')

-f, --foreground
    Run in foreground (don't daemonize) (default=off)

-t, --default_config
    Print the default configuration to stdout and exit (default=off)

-m, --metrics
    Print the list of metrics this gmond supports (default=off)

-b, --bandwidth
    Calculate minimum bandwidth use for configuration (default=off)

-r, --convert=STRING
    Convert a 2.5.x configuration file to the new 3.x format

-p, --pid-file=STRING
    Write process-id to file

AUTHOR
Matt Massie <massie@cs.berkeley.edu>

REPORTING BUGS
Report all bugs to the Ganglia Github project at
  https://github.com/ganglia/monitor-core/issues

COPYRIGHT
Copyright (c) 2001, 2002, 2003, 2004, 2005 by The Regents of the University of California. All rights reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without written agreement is hereby granted, provided that the above copyright notice and the following two paragraphs appear in all copies of this software. IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.